package dev.flyfish.framework.approval.domain.todo;

import com.fasterxml.jackson.annotation.JsonFormat;
import dev.flyfish.framework.approval.domain.record.ApproveRecord;
import dev.flyfish.framework.domain.base.Vo;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 待审批列表vo
 *
 * @author wangyu
 */
@Data
public class ApprovalListVo implements Vo<ApproveRecord> {

    private String id;

    private String module;

    private String moduleName;

    private String dataId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime createTime;

    private String creator;

    @Override
    public Vo<ApproveRecord> from(ApproveRecord po) {
        ApprovalListVo vo = new ApprovalListVo();
        vo.setId(po.getId());
        vo.setCreator(po.getCreator());
        vo.setCreateTime(po.getCreateTime());
        vo.setModule(po.getModule());
        vo.setModuleName(po.getModuleName());
        vo.setDataId(po.getDataId());
        return vo;
    }
}
