package dev.flyfish.framework.file.domain;

import dev.flyfish.framework.file.enums.MediaType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Media {

    /**
     * 媒体类型
     */
    private MediaType type;

    /**
     * 媒体路径
     */
    private String url;

    /**
     * 媒体大小
     */
    private String size;

    /**
     * 缩略图
     */
    private String thumb;
}
